io.vertx.ext.unit.junit

## Class VertxUnitRunnerWithParameters

- java.lang.Object
- - BlockJUnit4ClassRunner
  - - io.vertx.ext.unit.junit.VertxUnitRunner
    - - io.vertx.ext.unit.junit.VertxUnitRunnerWithParameters

-     public class VertxUnitRunnerWithParameters
      extends VertxUnitRunner

  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `VertxUnitRunnerWithParameters(TestWithParameters test)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Statement` | `classBlock(RunNotifier notifier)`
    `Object` | `createTest()`
    `protected String` | `getName()`
    `protected Annotation[]` | `getRunnerAnnotations()`
    `protected String` | `testName(FrameworkMethod method)`
    `protected void` | `validateConstructor(List<Throwable> errors)`
    `protected void` | `validateFields(List<Throwable> errors)`

    - ### Methods inherited from class io.vertx.ext.unit.junit.VertxUnitRunner

      `invokeTestMethod, methodInvoker, validatePublicVoidNoArgMethods, validateTestMethod, withAfterClasses, withAfters, withBeforeClasses, withBefores`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VertxUnitRunnerWithParameters

          protected VertxUnitRunnerWithParameters(TestWithParameters test)
                                           throws InitializationError

      Throws:
        `InitializationError`

  - ### Method Detail

    - #### createTest

          public Object createTest()
                            throws Exception

      Throws:
        `Exception`

    - #### getName

          protected String getName()

    - #### testName

          protected String testName(FrameworkMethod method)

    - #### validateConstructor

          protected void validateConstructor(List<Throwable> errors)

    - #### validateFields

          protected void validateFields(List<Throwable> errors)

    - #### classBlock

          protected Statement classBlock(RunNotifier notifier)

    - #### getRunnerAnnotations

          protected Annotation[] getRunnerAnnotations()

Copyright © 2015. All Rights Reserved.